# Generated from knowbe4_hiring-0.1.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name knowbe4_hiring

Name: rubygem-%{gem_name}
Version: 0.1.1
Release: 1%{?dist}
Summary: Available Software Development jobs at Knowbe4
License: MIT
URL: https://github.com/knowbe4/knowbe4-hiring
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
KnowBe4, Inc. is a high growth information security company. We are the
world’s largest provider of new-school security awareness training and
simulated phishing. KnowBe4 was created to help organizations manage the
ongoing problem of social engineering. Tens of thousands of organizations
worldwide use KnowBe4’s platform to mobilize their end users as a last line of
defense and enable them to make better security decisions, every day. We are
ranked #1 best place to work in technology nationwide by Fortune Magazine and
have placed #1 or #2 in The Tampa Bay Best Workplaces Survey for the last
three years. We also just had our 23rd record-setting quarter in a row!


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%exclude %{gem_instdir}/.rubocop_todo.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/rails_template.rb
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/knowbe4_hiring.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 0.1.1-1
- Initial package
